.TH ACCCHECK 1
.SH NAME
acccheck \- Password dictionary attack tool that targets windows authentication via the SMB protocol
.SH SYNOPSIS
.B acccheck
.RI [-t {IP}|-T {FILE}] [-p,-P,-u,-U,-v] 
.br
.SH DESCRIPTION
.PP
Attempts to connect to the IPC$ and ADMIN$ shares depending on which flags have been chosen, and tries a combination of usernames and passwords in the hope to identify the password to a given account via a dictionary password guessing attack.
.SH MANDATORY OPTIONS
User must use one of these options in order to specify the target(s) to probe.
.TP
.B \-t [single host IP address]
.TP
.B \-T [file containing target ip address(es)]

.SH OPTIONS

Once target(s) is(are) defined, user may use the following ones:
.TP
.B \-p [single password]
.TP
.B \-P [file containing passwords]
.TP
.B \-u [single user]
.TP
.B \-U [file containing usernames]
.TP
.B \-v [verbose mode]

.SH EXAMPLES
.TP
.B Attempt the 'Administrator' account with a [BLANK] password.
acccheck -t 10.10.10.1
.TP
.B Attempt all passwords in 'password.txt' against the 'Administrator' account.
acccheck -t 10.10.10.1 -P password.txt
.TP
.B Attempt all password in 'password.txt' against all users in 'users.txt'.
acccehck -t 10.10.10.1 -U users.txt -P password.txt
.TP
.B Attempt a single password against a single user.
acccheck -t 10.10.10.1 -u administrator -p password

.SH AUTHOR
Faisal Dean (Faiz) <fmd@portcullis-security.com>
.PP
This manual page was written by Marcos Fouces <mfouces@yahoo.es>,
for the Debian project (and may be used by others).
